function h=dfun(a,b,angle)
% transparent surface of a d-function

if nargin<3, angle=0; end;
[u,v]=meshgrid(0:3:360,-90:3:90);
u=u*pi/180;
v=v*pi/180;
d = b-a;
l = sqrt(sum(d.*d));
if l==0, return; end;
r=l*sin(2*v).*sin(2*v).*cos(u).^4;
x=r.*cos(v).*sin(u);
y=r.*cos(v).*cos(u);
z=r.*sin(v);
h=surf(x+a(1),y+a(2),z+a(3));
set(h,'EdgeAlpha',0,'FaceColor',0.6*[1,1,1],'FaceAlpha',0.5);
rotate(h,[0 0 1],angle,a);
phirot = 180/pi*acos(d(3)/l);
ax = [-d(2) d(1) 0];
if (sum(ax.*ax)==0)
    ax = [1 0 0];
end;
rotate(h,ax,phirot,a);
