function c=probefit
% fit probe data

basefreq=1000;  period=1/basefreq;  T=2*period;
ndata=1000;  startdata=1250;  npoints=400;
all=load('tastkopf.dat');
y=all(startdata:startdata+ndata-1,3);
exptime=linspace(0,T*(1-1/ndata),ndata);
time=linspace(0,T*(1-1/npoints),npoints);
y=interp1(exptime,y,time)';
y=y-mean(y);
oddnums=[1:2:99];
[f,t]=meshgrid(oddnums*basefreq,time);
coeff=f.^(-1)*basefreq;
z=-j*coeff.*exp(2*j*pi*f.*t);

global f y z Z

c0=[10e-12,150e-12,150];

c=fminsearch(@devi,c0);

plot(time,y,time,real(sum(Z,2)));

%************************************************
function d=devi(c)

global y z Z

Z=z.*trfun(c);
d=sum(abs(y-real(sum(Z,2))));

%************************************************
function tr=trfun(c)

global f

RC=inline('(1/R+2*pi*j*F*C).^(-1)','R','C','F');
r1=RC(9e6,c(1),f);
r2=RC(1e6,c(2),f);
tr=c(3)*r2./(r1+r2);
